Doomsday Engine - Feature #1545

Limit removal for MD2Tool
2011-08-19 05:21 - magnumdoom

Status: Rejected Start date: 2011-08-19
Priority: Low % Done: 0%
Assignee:

Category: Redesign

Target version:

Description

#define MAX_TRIANGLES 4096

#define MAX_VERTS 2048

#define MAX_FRAMES 512
#define MAX_MD2SKINS 32
#define MAX_SKINNAME 64

MD2Tool has the above limits for models. It would be wonderful if these limits were to be extended or altogether removed to allow
processing of newer high poly models.

History

#1 - 2013-10-22 11:50 - skyjake
- Tags set to Tools
- Subject changed from Limit Removal for MD2Tool to Limit removal for MD2Tool

- Category set to Redesign

Doing this would entail slightly rewriting md2tool with dynamic arrays etc.

Hopefully, going forward, MD2s will be of less importance (#1246).

#2 - 2013-10-22 11:50 - skyjake

- Priority changed from Normal to Low

#3 - 2016-08-09 10:32 - skyjake

- Status changed from New to Rejected

Obsoleted by newer model file formats.
